From version 115.1
edited by Vincent Massol
on 2017/11/24
To version 116.1
edited by Thomas Mortagne
on 2017/12/01
Change comment: There is no comment for this version

Summary

Details

Page properties
Author
... ... @@ -1,1 +1,1 @@
1 -XWiki.VincentMassol
1 +XWiki.ThomasMortagne
Content
... ... @@ -100,28 +100,8 @@
100 100  
101 101  This is because starting with version 6.0, XWiki requires Java 7 and you're using Java 6. You need to upgrade your Java version.
102 102  
103 -== Installing without internet connection ==
103 +{{include reference="Documentation.AdminGuide.Installation.InstallationConcludingSteps.WebHome" section="HInstallingwithoutinternetconnection"/}}
104 104  
105 -=== XIP package ===
106 -
107 -{{info}}Since 9.5{{/info}} a XIP package is provided for the Standard flavor.
108 -
109 -This is actually a zip file containing the required XWiki extensions in the same format than the local extensions repository.
110 -
111 -* download it on [[xwiki:Main.Download]]
112 -* unzip it (rename it to ##.zip## if your zip tool does not recognize it) in the folder ##<permanentdirectory>/extension/repository## (if you have complain about already existing file don't overwrite)
113 -* restart XWiki if it was running
114 -* resume standard installation, this time it will find the flavor locally
115 -
116 -=== Other methods ===
117 -
118 -Several options:
119 -
120 -* Set up a local Extension Repository, either as a Maven Repository or using the [[Extension Repository Application>>extensions:Extension.Repository Application]]. Of course you'll need to [[prefill it with all the extensions you'll wish to install when offline>>Documentation.AdminGuide.FillLocalMavenRepository]], which isn't something easy to do.
121 -* [[Install the Standalone Distribution>>Documentation.AdminGuide.InstallationStandalone]] which contains a default set of wiki pages.
122 -* Do not use the Distribution Wizard and [[import default wiki pages using the XAR Import feature>>Documentation.AdminGuide.Installation.InstallationConcludingSteps.WebHome]].
123 -* Use the [[Offline Packager Maven plugin>>https://github.com/xwiki-contrib/maven-plugin-offline-xwiki-repository-packager]].
124 -
125 125  == Getting an error about SSL certificate ==
126 126  
127 127  If you get an error in the log telling you that it fail to access some some https website it usually means you have a too old version of Java 8 (older that update 101) and you should upgrade it (does not need to be upgraded to next major version of Java, just make sure you have at least Java 8 update 101).

Get Connected